<?php

namespace Drupal\user_provisioning\ProviderSpecific\Factory;

/**
 * Interface for classes defined in Factory.
 */
interface moResourceFactoryInterface {

  /**
   * Picks API Handler for corresponding app name.
   */
  public function getAPIHandler();

  /**
   * Picks Parser for corresponding app name.
   */
  public function getParser();

  /**
   * Picks Response Processor for corresponding app name.
   */
  public function getResponseProcessor();

}
